summaryrefslogtreecommitdiffstats
path: root/testing/mediaproxy/mediaproxy-dispatcher.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-02-03 07:41:11 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-02-03 07:41:11 +0000
commit09ce0508afe6568cf580f53fb9952963125fff43 (patch)
treebe336c26f16f7fd1e5c5454738c9332da34fb2d1 /testing/mediaproxy/mediaproxy-dispatcher.initd
parent9ad548df8aa2a860ca311453ed3d6a98962f32f5 (diff)
downloadaports-09ce0508afe6568cf580f53fb9952963125fff43.tar.bz2
aports-09ce0508afe6568cf580f53fb9952963125fff43.tar.xz
Revert "testing/*: remove from stable branch"
This reverts commit 9ad548df8aa2a860ca311453ed3d6a98962f32f5. I'll delete them one by one.
Diffstat (limited to 'testing/mediaproxy/mediaproxy-dispatcher.initd')
-rw-r--r--testing/mediaproxy/mediaproxy-dispatcher.initd22
1 files changed, 22 insertions, 0 deletions
diff --git a/testing/mediaproxy/mediaproxy-dispatcher.initd b/testing/mediaproxy/mediaproxy-dispatcher.initd
new file mode 100644
index 00000000..9b37a7e0
--- /dev/null
+++ b/testing/mediaproxy/mediaproxy-dispatcher.initd
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+
+daemon=/usr/bin/media-dispatcher
+pidfile=/var/run/mediaproxy/dispatcher.pid
+
+depend() {
+ need net
+ after firewall
+ after kamailio
+}
+
+start() {
+ ebegin "Starting Mediaproxy Dispatcher"
+ start-stop-daemon --start --verbose --pidfile $pidfile --exec $daemon
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Mediaproxy Dispatcher"
+ start-stop-daemon --stop --quiet --pidfile $pidfile
+ eend $?
+}